TransferHandler.DropLocation (Java Platform SE 8 )
Keywords: javax.swing.TransferHandler.DropLocation class
Date: 2018-07-01

javax.swing

## Class TransferHandler.DropLocation

- java.lang.Object
- - javax.swing.TransferHandler.DropLocation

- Direct Known Subclasses:
    JList.DropLocation, JTable.DropLocation, JTextComponent.DropLocation, JTree.DropLocation
  Enclosing class:
    TransferHandler

      public static class TransferHandler.DropLocation
      extends Object

  Represents a location where dropped data should be inserted. This is a base class that only encapsulates a point. Components supporting drop may provide subclasses of this containing more information.

  Developers typically shouldn't create instances of, or extend, this class. Instead, these are something provided by the DnD implementation by `TransferSupport` instances and by components with a `getDropLocation()` method.

  Since:
    1.6
  See Also:
    `TransferHandler.TransferSupport.getDropLocation()`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DropLocation(Point dropPoint)` Constructs a drop location for the given point.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Point` | `getDropPoint()` Returns the drop point, representing the mouse's current location within the component.
    `String` | `toString()` Returns a string representation of this drop location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DropLocation

          protected DropLocation(Point dropPoint)

      Constructs a drop location for the given point.
      Parameters:
        `dropPoint` - the drop point, representing the mouse's current location within the component.
      Throws:
        `IllegalArgumentException` - if the point is `null`

  - ### Method Detail

    - #### getDropPoint

          public final Point getDropPoint()

      Returns the drop point, representing the mouse's current location within the component.
      Returns:
        the drop point.

    - #### toString

          public String toString()

      Returns a string representation of this drop location. This method is intended to be used for debugging purposes, and the content and format of the returned string may vary between implementations.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this drop location

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.